/**  
* @Title: ResponseParam.java 
* @Package com.platform.ui.domain 
* @Description: TODO
* @author kiosk
* @date 2017年7月19日 上午10:32:11 
* @version V1.0
* @Copyright: Copyright (c) kiosk Co.Ltd. 2017
* ★★★★★★★★版权所有※拷贝必究 ★★★★★★★★
*/ 
package com.platform.response.json;

import java.io.Serializable;

/** 
 * @ClassName: ResponseParam 
 * @Description: TODO
 * @author kiosk
 * @date 2017年7月19日 上午10:32:11
 * @version V1.0 
 */
public class ResponseParameterForNotify implements Serializable{

	/** 
	* @Fields serialVersionUID : TODO
	* @version V1.0
	*/ 
	
	private static final long serialVersionUID = -5932429273108969644L;
	
	/**
	 * 公共参数
	 */
	private String service;//服务名称
	private String service_version;//服务版本号
	private String input_charset;//编码格式 UTF-8
	private String sign_type;//签名类型 MD5
	private String sign;//签名值
	
	/**
	 * 订单支付返回
	 */
	private String qr_curl;
	private String code_url;
	
	/**
	 * 支付异步通知返回
	 */
	private String notify_time;//
	private String notify_type;//
	private String notify_id;//
	private String trade_no;//
	private String app_id;//
	private String out_trade_no;//
	private String out_biz_no;//
	private String buyer_id;//
	private String buyer_logon_id;//
	private String seller_id;//
	private String seller_email;//
	private String trade_status;//
	private Float total_amount;//
	private Float receipt_amount;//
	private Float invoice_amount;//
	private Float buyer_pay_amount;//
	private Float point_amount;//
	private Float refund_fee;//
	private Float send_back_fee;
	private String subject;
	private String body;
	private String gmt_create;
	private String gmt_payment;
	private String gmt_refund;
	private String gmt_close;

	/**
	 * 退款异步通知返回
	 */

	
	
	
	/**
	 * @return the service
	 */
	public String getService() {
		return service;
	}
	/**
	 * @param service the service to set
	 */
	public void setService(String service) {
		this.service = service;
	}
	/**
	 * @return the service_version
	 */
	public String getService_version() {
		return service_version;
	}
	/**
	 * @param service_version the service_version to set
	 */
	public void setService_version(String service_version) {
		this.service_version = service_version;
	}
	/**
	 * @return the input_charset
	 */
	public String getInput_charset() {
		return input_charset;
	}
	/**
	 * @param input_charset the input_charset to set
	 */
	public void setInput_charset(String input_charset) {
		this.input_charset = input_charset;
	}
	/**
	 * @return the transaction_id
	 */
	/**
	 * @return the out_trade_no
	 */
	public String getOut_trade_no() {
		return out_trade_no;
	}
	/**
	 * @param out_trade_no the out_trade_no to set
	 */
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	/**
	 * @return the qr_curl
	 */
	public String getQr_curl() {
		return qr_curl;
	}
	/**
	 * @param qr_curl the qr_curl to set
	 */
	public void setQr_curl(String qr_curl) {
		this.qr_curl = qr_curl;
	}
	/**
	 * @return the code_url
	 */
	public String getCode_url() {
		return code_url;
	}
	/**
	 * @param code_url the code_url to set
	 */
	public void setCode_url(String code_url) {
		this.code_url = code_url;
	}
	  
		/**
		 * @return the sign_type
		 */  
	    
	public String getSign_type() {
		return sign_type;
	}
	  
	    /**
		 * @param sign_type the sign_type to set
		 */  
	    
	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}
		  
			/**
			 * @return the sign
			 */  
		    
		public String getSign() {
			return sign;
		}
		  
		    /**
			 * @param sign the sign to set
			 */  
		    
		public void setSign(String sign) {
			this.sign = sign;
		}
			/**
			 * @return the trade_mode
			 */
			/**
			 * @return the notify_id
			 */
			
			public String getNotify_id() {
				return notify_id;
			}
			/**
			 * @param notify_id the notify_id to set
			 */
			
			public void setNotify_id(String notify_id) {
				this.notify_id = notify_id;
			}
			/**
			 * @return the time_end
			 */


	public String getNotify_time() {
		return notify_time;
	}

	public void setNotify_time(String notify_time) {
		this.notify_time = notify_time;
	}

	public String getNotify_type() {
		return notify_type;
	}

	public void setNotify_type(String notify_type) {
		this.notify_type = notify_type;
	}

	public String getTrade_no() {
		return trade_no;
	}

	public void setTrade_no(String trade_no) {
		this.trade_no = trade_no;
	}

	public String getApp_id() {
		return app_id;
	}

	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}

	public String getOut_biz_no() {
		return out_biz_no;
	}

	public void setOut_biz_no(String out_biz_no) {
		this.out_biz_no = out_biz_no;
	}

	public String getBuyer_id() {
		return buyer_id;
	}

	public void setBuyer_id(String buyer_id) {
		this.buyer_id = buyer_id;
	}

	public String getBuyer_logon_id() {
		return buyer_logon_id;
	}

	public void setBuyer_logon_id(String buyer_logon_id) {
		this.buyer_logon_id = buyer_logon_id;
	}

	public String getSeller_id() {
		return seller_id;
	}

	public void setSeller_id(String seller_id) {
		this.seller_id = seller_id;
	}

	public String getSeller_email() {
		return seller_email;
	}

	public void setSeller_email(String seller_email) {
		this.seller_email = seller_email;
	}

	public String getTrade_status() {
		return trade_status;
	}

	public void setTrade_status(String trade_status) {
		this.trade_status = trade_status;
	}

	public Float getTotal_amount() {
		return total_amount;
	}

	public void setTotal_amount(Float total_amount) {
		this.total_amount = total_amount;
	}

	public Float getReceipt_amount() {
		return receipt_amount;
	}

	public void setReceipt_amount(Float receipt_amount) {
		this.receipt_amount = receipt_amount;
	}

	public Float getInvoice_amount() {
		return invoice_amount;
	}

	public void setInvoice_amount(Float invoice_amount) {
		this.invoice_amount = invoice_amount;
	}

	public Float getBuyer_pay_amount() {
		return buyer_pay_amount;
	}

	public void setBuyer_pay_amount(Float buyer_pay_amount) {
		this.buyer_pay_amount = buyer_pay_amount;
	}

	public Float getPoint_amount() {
		return point_amount;
	}

	public void setPoint_amount(Float point_amount) {
		this.point_amount = point_amount;
	}

	public Float getRefund_fee() {
		return refund_fee;
	}

	public void setRefund_fee(Float refund_fee) {
		this.refund_fee = refund_fee;
	}

	public Float getSend_back_fee() {
		return send_back_fee;
	}

	public void setSend_back_fee(Float send_back_fee) {
		this.send_back_fee = send_back_fee;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getGmt_create() {
		return gmt_create;
	}

	public void setGmt_create(String gmt_create) {
		this.gmt_create = gmt_create;
	}

	public String getGmt_payment() {
		return gmt_payment;
	}

	public void setGmt_payment(String gmt_payment) {
		this.gmt_payment = gmt_payment;
	}

	public String getGmt_refund() {
		return gmt_refund;
	}

	public void setGmt_refund(String gmt_refund) {
		this.gmt_refund = gmt_refund;
	}

	public String getGmt_close() {
		return gmt_close;
	}

	public void setGmt_close(String gmt_close) {
		this.gmt_close = gmt_close;
	}
}
